summaryrefslogtreecommitdiff
path: root/.ci/deps.osx.sh
diff options
context:
space:
mode:
Diffstat (limited to '.ci/deps.osx.sh')
-rw-r--r--.ci/deps.osx.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/.ci/deps.osx.sh b/.ci/deps.osx.sh
new file mode 100644
index 0000000..b52a84f
--- /dev/null
+++ b/.ci/deps.osx.sh
@@ -0,0 +1,11 @@
+set -e
+set -x
+
+# Install packages with brew
+brew update >/dev/null
+brew outdated pyenv || brew upgrade --quiet pyenv
+
+# Install required python version for this build
+pyenv install -ks $PYTHON_VERSION
+pyenv global $PYTHON_VERSION
+python --version